NEWS
Generic selectors
Exact matches only
Search in title
Search in content
Post Type Selectors
Search in posts
Search in pages

Cyberpunk 2077 Update v1.2-RIDDICK

Cyberpunk 2077 Update v1.2-RIDDICK
Mar
30

Cyberpunk 2077 is an open-world, action-adventure story set in Night City, a megalopolis
obsessed with power, glamour and body modification. You play as V, a mercenary outlaw going after a one-of-a-kind implant that is the key to immortality. You can customize your character’s cyberware, skillset and playstyle, and explore a vast city where the choices you make shape the story and the world around you.

Become a cyberpunk, an urban mercenary equipped with cybernetic enhancements and build
your legend on the streets of Night City.

Enter the massive open world of Night City, a place that sets new standards in terms of visuals, complexity and depth.

Take the riskiest job of your life and go after a prototype implant that is the key to immortality.


Cyberpunk 2077 Update v1.2-RIDDICK

SIZE: 18.3 GB

This patch requires ↓ :

Cyberpunk 2077-CODEX
Cyberpunk 2077 Update v1.04-ElAmigos
Cyberpunk 2077 Update v1.05-ElAmigos
Cyberpunk 2077 Update v1.06-ElAmigos
Cyberpunk 2077 Update v1.1-ElAmigos
Cyberpunk 2077 Update v1.11-ElAmigos
Cyberpunk 2077 Update v1.12-ElAmigos

or

Cyberpunk 2077-CODEX
Cyberpunk 2077 Update v1.06-CODEX
Cyberpunk 2077 Update v1.1-CODEX
Cyberpunk 2077 Update v1.12-CODEX

Cyberpunk 2077 Update v1.2-RIDDICK.torrent

5 GB LINKS

1fichier.com

https://filecrypt.cc/Container/A90057E960.html


dropapk.to

https://filecrypt.cc/Container/55CF49EC63.html


megaup.net

https://filecrypt.cc/Container/B724A34C3F.html


rapidgator.net

https://filecrypt.cc/Container/9A8BF64958.html


uptobox.com

https://filecrypt.cc/Container/847DE5D857.html


pixeldrain.com

https://filecrypt.cc/Container/B1BF9498EE.html


All links are interchangeable. If you cant see the links press CTRL+F5

Minimum:

  • Requires a 64-bit processor and operating system
  • OS: Windows 7 or 10
  • Processor: Intel Core i5-3570K or AMD FX-8310
  • Memory: 8 GB RAM
  • Graphics: NVIDIA GeForce GTX 780 or AMD Radeon RX 470
  • DirectX: Version 12
  • Storage: 70 GB available space
  • Additional Notes ↓ : In this game you will encounter a variety of visual effects that may provide seizures or loss of consciousness in a minority of people. If you or someone you know experiences any of the above symptoms while playing, stop and seek medical attention immediately.

Recommended:

  • Requires a 64-bit processor and operating system
  • OS: Windows 10
  • Processor: Intel Core i7-4790 or AMD Ryzen 3 3200G
  • Memory: 12 GB RAM
  • Graphics: GTX 1060 6GB / GTX 1660 Super or Radeon RX 590
  • DirectX: Version 12
  • Storage: 70 GB available space
  • Additional Notes ↓ : SSD recommended

image

image

image



This patch requires ↓ :

Cyberpunk 2077-CODEX
Cyberpunk 2077 Update v1.04-ElAmigos
Cyberpunk 2077 Update v1.05-ElAmigos
Cyberpunk 2077 Update v1.06-ElAmigos
Cyberpunk 2077 Update v1.1-ElAmigos
Cyberpunk 2077 Update v1.11-ElAmigos
Cyberpunk 2077 Update v1.12-ElAmigos

or

Cyberpunk 2077-CODEX
Cyberpunk 2077 Update v1.06-CODEX
Cyberpunk 2077 Update v1.1-CODEX
Cyberpunk 2077 Update v1.12-CODEX
  LIST OF ALL UPDATES FOR - Cyberpunk 2077 CODEX -
  • img
    Sergey Reply
    Mar 30, 2021 @ 20:12

    Is Jurassic World Evolution
    expected?

  • img
    Mar 30, 2021 @ 22:06

    tthe game does not start with this crack

  • img
    MP1988 Reply
    Mar 31, 2021 @ 08:27

    WTF FUCK YOU COCKSUCKER! it took 1 hour to install this BS of yours and my game is still at V1.12

  • img
    Claudine Francois Reply
    Mar 31, 2021 @ 14:24

    I have all the required updates needed for this patch but it didn’t work at all. says “hash sum mismatch”. The 1.2 patch never got applied. I’m still on the 1.12 version -_-

  • img
    Zack Reply
    Mar 31, 2021 @ 19:03

    Yup, its broken, this will 100% break your game…. and does no actual patching.

  • img
    I Follow Instruction Reply
    Mar 31, 2021 @ 20:42

    It works 100% as long as you follow the instructions and have all the requirements. Thanks for this patch!

    • img
      Apr 02, 2021 @ 20:58

      Where is the language pack?

    • img
      djmg2 Reply
      Apr 05, 2021 @ 08:55

      can you help me, where do i put the folder german language pack, or should i only put the lang_de_text.archive and lang_de_voice.archive on the game content folder? and what language should i use on installation app? sry for bad english

  • img
    player666 Reply
    Mar 31, 2021 @ 22:24

    it’s not working.

  • img
    Safek Reply
    Apr 01, 2021 @ 01:34

    I can download like 150gb no asking, just install, no more patches pleas!

  • img
    D4rkD4ni Reply
    Apr 04, 2021 @ 05:51

    It works well if you follow the steps, stay patient when installing took very long but it worked.
    Thank you.

  • img
    djmg2 Reply
    Apr 05, 2021 @ 08:50

    how to install this, can you guys send me a video, where do I put the folder German language pack, or should i only put the lang_de_text.archive and lang_de_voice.archive on the game folder content?

    • img
      djmg2 Reply
      Apr 05, 2021 @ 08:51

      in the installation app, should i pick english language or german?

    • img
      djmg2 Reply
      Apr 05, 2021 @ 08:52

      should i pick english language or german? in the installation app?

      • img
        Apr 16, 2021 @ 21:38

        and for those who are asking, the language selection english or german is only for the patching interface, not for the game itself

  • img
    Bo Reply
    Apr 05, 2021 @ 15:31

    Game crashed on startup “Failed to load …basegame_1_engine.archive, error 3, try regenerating archives!” can someone explain?

  • img
    jun yu Reply
    Apr 10, 2021 @ 09:49

    crashed as well. somebody help me?

  • img
    jun yu Reply
    Apr 10, 2021 @ 09:51

    Message: Failed to load archive H:\game\Cyberpunk 2077\archive\pc\content\basegame_1_engine.archive, error 3, try regenerating archives!
    File: e:\r6.release\dev\src\common\resource\src\resourcegamedepot.cpp(536)

  • img
    Apr 16, 2021 @ 21:37

    Didn’t work for me.
    I have done all that was indicated but patch failed and corrupt my game. I need to unstinstall and install the game again (and that’s pain in the ass with all the patchs…)
    Can we have a CODEX or Elamigos 1.2 patch plz?

    • img
      May 12, 2021 @ 16:27

      @playerzone It worked for me, Thanks. To those who had an error while installing the patch, take the following steps then it will work like a champ I promise.
      1.Copy the Two files in the German Language Package (lang_de_text and lang_de_voice) to the Cyberpunk 2077 game folder inside the “archive – pc – content” folder where there are other many Archive Files.
      2.Then Install the patcher using English language, then locate the Cyberpunk 2077 game folder where you installed it then start the Installation , It will take maybe 1 hour depending on your system (be patient) then after it says done you can exit the window and go launch the Game then It will show “1.2”
      3.GOOD LUCK GUYS, I HOPE IT WORKS FOR YOU TOO.

  • img
    May 12, 2021 @ 16:25

    It worked for me, Thanks. To those who had an error while installing the patch, take the following steps then it will work like a champ I promise.
    1.Copy the Two files in the German Language Package (lang_de_text and lang_de_voice) to the Cyberpunk 2077 game folder inside the “archive – pc – content” folder where there are other many Archive Files.
    2.Then Install the patcher using English language, then locate the Cyberpunk 2077 game folder where you installed it then start the Installation , It will take maybe 1 hour depending on your system (be patient) then after it says done you can exit the window and go launch the Game then It will show “1.2”
    3.GOOD LUCK GUYS, I HOPE IT WORKS FOR YOU TOO.

  • img
    Jul 16, 2021 @ 17:17

    Nope, doesn’t work…

    did install and re-installs twice..
    put the german language where it should be…
    i also click the verify hash button, but in the end I get a “Hash Fail” error on “basegame_1_engine_archive” file…
    but the install just fails nearing the end, the installer tried rollback, but rollback failed too…

    did anyone here found any codex or elamigos 1.2 patches (only)?
    every other updates uses codex and elamigos, why is 1.2 the only one using riddick?

3000
rfwbs-sliderfwbs-sliderfwbs-slide